//
// Created by trotFunky on 03/11/2019.
//

#include "MovementManager.h"

Vec3i current_map_colour(const Vec3d& world_pos, const Texture& texture, const int& pixel_scale)
{
    Vec2i map_pos{static_cast<int>(world_pos.x/pixel_scale),
                  static_cast<int>(world_pos.z/pixel_scale)};

    unsigned int data_index = (map_pos.x * texture.height + map_pos.y)*(texture.color_bits/8);

    return Vec3i{texture.image_data[data_index],
                 texture.image_data[data_index+1],
                 texture.image_data[data_index+2]};
}
